BACKUP_SAVEDB(8)

NAME
backup_savedb - Creates a saved copy of the Backup Database

SYNOPSIS
backup savedb [-portoffset <TC port offset>]
    [-archive <date time>+] [-localauth]
    [-cell <cell name>] [-help]

backup sa [-p <TC port offset>] [-a <date time>+]
    [-l] [-c <cell name>] [-h]

DESCRIPTION
The backup savedb command creates a backup copy of the entire Backup Database and writes it to the tape in the device controlled by the Tape Coordinator indicated with the -portoffset argument. If the database is damaged (as reported by the backup dbverify command), this command repairs as much of the corruption as possible as it creates the saved copy. The Backup Server creates a dump record for the saved database in the Backup Database (but in the disk version of the database only, not in the version written to tape).

If the "FILE YES" instruction appears in the /usr/afs/backup/CFG_device_name file associated with the specified port offset, then the backup savedb command dumps the database copy to the backup data file listed for that port offset in the Tape Coordinator's /usr/afs/backup/tapeconfig file, instead of to tape. For the sake of clarity, the following text refers to tapes only, but the Backup System handles backup data files in much the same way.

If the -archive flag is provided, after writing the saved copy of the database the Backup System truncates the copy of the database on disk by deleting volume dump records with timestamps prior to the specified date and time (it does not delete the dump records created by previous backup savedb commands, however).

If the tape to which the database copy is written has an AFS tape name, it must be "Ubik_db_dump.1" or "<NULL>". Any permanent name is acceptable.

The Tape Coordinator's default response to this command is to access the first tape by invoking the "MOUNT" instruction in the local /usr/afs/backup/CFG_device_name file, or by prompting the backup operator to insert the tape if there is no "MOUNT" instruction. However, if the "AUTOQUERY NO" instruction appears in the CFG_device_name file, or if the issuer of the butc command included the -noautoquery flag, the Tape Coordinator instead expects the tape to be in the device already. If it is not, the Tape Coordinator invokes the "MOUNT" instruction or prompts the operator. It also invokes the "MOUNT" instruction or prompts for any additional tapes needed to complete the operation; the backup operator must arrange to provide them.

OPTIONS

-portoffset <TC port offset>
    Specifies the port offset number of the Tape Coordinator handling the tapes for this operation.

-archive <date time>+
    Specifies a date and time; volume dump records with earlier timestamps are deleted from the disk copy of the Backup Database after the Backup System dumps the database (a dump's timestamp appears in the "created" field of the output from the backup dumpinfo command). However, if a dump set contains any dump created after the specified date, none of the dump records associated with the dump set are deleted. Dump records for previous dumps of the database (created with the backup savedb command) are never deleted; use the backup deletedump command to remove them.

    Provide one of two values:

    •   The string "NOW" to indicate the current date and time, in which case the Backup System deletes all dump records except those for dumps of the Backup Database itself.

    •   A date value in the format mm/dd/yyyy [hh:MM]. The month (mm), day (dd), and year (yyyy) are required, and valid values for the year range from 1970 to 2037; higher values are not valid because the latest possible date in the standard UNIX representation is in February 2038. The Backup System automatically reduces any later date to the maximum value.

        The hour and minutes (hh:MM) are optional, but if provided must be in 24-hour format (for example, the value "14:36" represents 2:36 p.m.). If omitted, the time defaults to 59 seconds after midnight (00:00:59 hours). Similarly, the backup command interpreter automatically adds 59 seconds to any time value provided. In both cases, adding 59 seconds compensates for how the Backup Database and backup dumpinfo command represent dump creation times in hours and minutes only. That is, the Database records a creation timestamp of "20:55" for any dump created between 20:55:00 and 20:55:59. Automatically adding 59 seconds to a time thus includes the records for all dumps created during that minute.

-localauth
    Constructs a server ticket using a key from the local /usr/afs/etc/KeyFile file. The backup command interpreter presents it to the Backup Server, Volume Server and VL Server during mutual authentication. Do not combine this flag with the -cell argument. For more details, see backup(8).

-cell <cell name>
    Names the cell in which to run the command. Do not combine this argument with the -localauth flag. For more details, see backup(8).

-help
    Prints the online help for this command. All other valid options are ignored.

EXAMPLES
The following example writes a copy of the Backup Database to the tape device controlled by the Tape Coordinator with port offset 1:

   % backup savedb -portoffset 1

PRIVILEGE REQUIRED
The issuer must be listed in the /usr/afs/etc/UserList file on every machine where the Backup Server is running, or must be logged onto a server machine as the local superuser "root" if the -localauth flag is included.

SEE ALSO
butc(5), backup(8), backup_dbverify(8), backup_restoredb(8), butc(8)

COPYRIGHT
IBM Corporation 2000. <http://www.ibm.com/> All Rights Reserved.

This documentation is covered by the IBM Public License Version 1.0. It was converted from HTML to POD by software written by Chas Williams and Russ Allbery, based on work by Alf Wachsmann and Elizabeth Cassell.